import collections
import re
import pandas

pandas.options.display.max_rows = 99999

base_csv = pandas.read_csv("forcut.csv", delimiter="\t")

base_csv.drop(['stamp',
               'id_zdroj',
               'id_obrazek',
               'id_jazyk',
               'id_soubor',
               'zobrazit',
               'porizeno',
               'url',
               'cesta',
               'perex',
               'old'], axis=1, inplace=True)

base_csv.dropna(inplace=True)

def create_dataframe_by_para(data_frame):
    holder = []
    frame = data_frame

    for index, row in frame.iterrows():
        selected_row = row
        text_value = selected_row["fulltext"]
        split = text_value.split("###")

        for para in split:
            if re.search("[a-z]", para):
                row_copy = selected_row
                row_copy["fulltext"] = para.strip()
                holder.append(collections.OrderedDict(row_copy))

    return pandas.DataFrame(holder, columns=frame.columns)


clean = create_dataframe_by_para(base_csv)

clean.to_csv("./cutted-data.csv", index=False)
