import pandas as pd
from sklearn.model_selection import train_test_split 
from sklearn.linear_model import LogisticRegression
from sklearn import metrics

training_data = pd.read_csv("./bog_df_training.csv", delimiter=",")

sentiment = training_data["Sentiment-XX"]

training_data.drop(columns=["Sentiment-XX"])

bow_train, bow_test, sent_train, sent_test = train_test_split(training_data, sentiment, test_size=0.2, random_state=200)

klasifikator = LogisticRegression()

klasifikator.fit(bow_train, sent_train)

result = klasifikator.predict(bow_test)

score = klasifikator.score(bow_test, sent_test)

print(score)

metriky = metrics.confusion_matrix(result, sent_test)

print(metriky)